<!DOCTYPE html>
<html>
  <head lang="ru">
      <title>Задание 6</title>
      <meta charset="utf-8">
      <meta name="generator" content="Задание 6"> 

      <script defer>
        function Prices() 
        {
            return {
                cveta: [100, 200, 300],
                options: 
                {
                    option1: 10,
                    option2: 20,
                    option3: 30,
                },
                qualitys: 
                {
                    quality4: 40,
                    quality5: 50,
                }
            };
        }

        function Price() 
        {
            s = document.getElementsByName("cvet");
            select = s[0];
            price = 0;
            prices = Prices();
            cvetIndex = parseInt(select.value) - 1;
            if (cvetIndex >= 0) 
            {
                price = prices.cveta[cvetIndex];
            }
    
            radioVisual = document.getElementById("radios");
            radioVisual.style.display = (select.value == "2" ? "block" : "none");
    


            radios = document.getElementsByName("options");
            radios.forEach(function(radio) {
            if (radio.checked) 
                {
                    optionP = prices.options[radio.value];
                    if (optionP !== undefined) 
                    {
                        price += optionP;
                    }
                }
            });
  
            checkVisual = document.getElementById("checkboxes");
            checkVisual.style.display = (select.value == "3" ? "block" : "none");
  


            checkboxes = document.querySelectorAll("#checkboxes input");
            checkboxes.forEach(function(checkbox) {
                if (checkbox.checked) 
                {
                    quality = prices.qualitys[checkbox.name];
                    if (quality !== undefined) 
                    {
                        price += quality;
                    }
                }
            });
  
            count  = document.getElementById('count').value;
            result = document.getElementById("result");
            result.innerHTML = parseInt (count)* parseInt (price) + " р."; 
        }
  
        window.addEventListener('DOMContentLoaded', function (event) {
            radioVisual = document.getElementById("radios");
            radioVisual.style.display = "none";
  
            checkVisual = document.getElementById("checkboxes");
            checkVisual.style.display = "none";
    
            s = document.getElementsByName("cvet");
            select = s[0];
   
            select.addEventListener("change", function(event) {
                target = event.target;
                console.log(target.value);
                Price();
            });
     
            radios = document.getElementsByName("options");
            radios.forEach(function(radio) {
                radio.addEventListener("change", function(event) {
                r = event.target;
                console.log(r.value);
                Price();
            });
            });
   
            checkboxes = document.querySelectorAll("#checkboxes input");
            checkboxes.forEach(function(checkbox) {
                checkbox.addEventListener("change", function(event) {
                    c = event.target;
                    console.log(c.name);
                    console.log(c.value);
                    Price();
                });
            });
        });
      </script>

      <meta name="viewport" content="width=divice-width, initial-scale=1, shrink-to-fit=no">
      <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">

</head>
  
<body class="container justify-content-start" style=" background-color: rgb(252, 219, 71)" > 
  <h2 class="row  p-4" >Расчитать стоимость покупки</h2>
  <input type="text" id="count" value="" placeholder="Количество товара" class=" row  w-200px h-50px p-3 text-center rounded" style="box-shadow: 5px 5px 10px 0px #8bdcf0;">
  <p></p>
  <form class="row align-items-around ">
      <select name="cvet" class=" w-200px h-50px p-3 text-center rounded" style="box-shadow: 5px 5px 10px 0px #8bdcf0;">
        <option value="1" class="bg-light text-secondary">Cерый</option>
        <option value="2" class="bg-light text-warning">Жёлтый</option>
        <option value="3" class="bg-light text-info">Голубой</option>
      </select>
      <div id="radios" class="col">
        <label><input type="radio" name="options" value="option1"><s>Зачёркнутый</s>></label>
        <label><input type="radio" name="options" value="option2"><u>Подчёркнутая</u></label>
        <label><input type="radio" name="options" value="option3"><small>Нижний индекс</small></label>
      </div>
      <div id="checkboxes" class="col">
        <label><input type="checkbox" name="quality4"><strong>Жирный</strong></label>
        <label><input type="checkbox" name="quality5"><em>Курсив</em></label>
        
      </div>
    </form>
    <p></p>
    <button onclick="Price();" class="row w-200px h-50px p-3 text-center rounded" style="box-shadow: 5px 5px 10px 0px #8bdcf0;">Готово</button>
    <p></p>
    <div id="result" class="row bg-info"></div>
  </body>

</html>
